Debian Bug report logs - #694015
geda: copyright file missing after upgrade (policy 12.5)

version graph

Package: geda; Maintainer for geda is Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>; Source for geda is src:geda-gaf.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Fri, 23 Nov 2012 02:54:02 UTC

Severity: serious

Tags: patch

Found in versions geda-gaf/1:1.6.2-4.2, geda-gaf/1:1.6.2-4, geda-gaf/1:1.6.1-5

Fixed in versions geda-gaf/1:1.6.2-4.3, geda-gaf/1:1.8.1-2

Done: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Fri, 23 Nov 2012 02:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Fri, 23 Nov 2012 02:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: geda: copyright file missing after upgrade (policy 12.5)
Date: Fri, 23 Nov 2012 03:50:15 +0100
[Message part 1 (text/plain, inline)]
Package: geda
Version: 1:1.6.2-4
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

a test with piuparts revealed that your package misses the copyright
file after an upgrade from lenny to squeeze to wheezy, which is a violation of
Policy 12.5:
http://www.debian.org/doc/debian-policy/ch-docs.html#s-copyrightfile

After the upgrade /usr/share/doc/$PACKAGE/ is just an empty directory.

>From the attached log (scroll to the bottom...):
(from 'ls -lad /u/s/d/$PKG' and 'ls -la /u/s/d/$PKG/')

  MISSING COPYRIGHT FILE: /usr/share/doc/geda/copyright
  drwxr-xr-x 2 root root 40 Nov 16 15:48 /usr/share/doc/geda
  total 0
  drwxr-xr-x   2 root root   40 Nov 16 15:48 .
  drwxr-xr-x 187 root root 3880 Nov 16 15:49 ..


Additional info may be available here:
http://wiki.debian.org/MissingCopyrightFile


cheers,

Andreas
[geda_1:1.6.2-4.log.gz (application/x-gzip, attachment)]

Added tag(s) pending and patch. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Sat, 24 Nov 2012 04:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sat, 24 Nov 2012 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sat, 24 Nov 2012 05:06:03 GMT) Full text and rfc822 format available.

Message #12 received at 694015@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 694015@bugs.debian.org
Subject: Re: geda: copyright file missing after upgrade (policy 12.5)
Date: Sat, 24 Nov 2012 14:03:37 +0900
Hi,

 I've made a patch for this issue, please check it.
 And I'll upload it to 5-days deleyed queue, if maintainer don't want to do so,
 please ask me to cancel it.

 Thanks.

diff -Nru geda-gaf-1.6.2/debian/changelog geda-gaf-1.6.2/debian/changelog
--- geda-gaf-1.6.2/debian/changelog     2012-10-02 20:07:30.000000000 +0900
+++ geda-gaf-1.6.2/debian/changelog     2012-11-24 13:15:05.000000000 +0900
@@ -1,3 +1,13 @@
+geda-gaf (1:1.6.2-4.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/control
+    - set "Depends: geda-doc" from Recommends since its documents (including
+      copyright file) is linked to geda-doc. It fixes "geda: copyright file
+      missing after upgrade (policy 12.5) " (Closes: #694015)
+
+ -- Hideki Yamane <henrich@debian.org> Sat, 24 Nov 2012 13:13:00 +0900
+
 geda-gaf (1:1.6.2-4) unstable; urgency=low

   * Added glib-single-include.patch: Do not include individual glib headers
diff -Nru geda-gaf-1.6.2/debian/control geda-gaf-1.6.2/debian/control
--- geda-gaf-1.6.2/debian/control       2012-10-02 20:07:30.000000000 +0900
+++ geda-gaf-1.6.2/debian/control       2012-11-24 13:12:57.000000000 +0900
@@ -12,8 +12,8 @@

 Package: geda
 Architecture: all
-Depends: ${misc:Depends}, geda-gschem, geda-gnetlist
-Recommends: geda-gsymcheck, geda-gattrib, geda-doc
+Depends: ${misc:Depends}, geda-gschem, geda-gnetlist, geda-doc
+Recommends: geda-gsymcheck, geda-gattrib
 Suggests: geda-utils, geda-examples, gerbv, pcb
 Description: GPL EDA -- Electronics design software (metapackage)
  The gEDA project has produced and continues working on a full GPL'd suite and



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 25 Nov 2012 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 25 Nov 2012 14:54:03 GMT) Full text and rfc822 format available.

Message #17 received at 694015@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: Hideki Yamane <henrich@debian.or.jp>, 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda: copyright file missing after upgrade (policy 12.5)
Date: Sun, 25 Nov 2012 16:50:18 +0200
[Message part 1 (text/plain, inline)]
On Sat, Nov 24, 2012 at 02:03:37PM +0900, Hideki Yamane wrote:
> Hi,
> 
>  I've made a patch for this issue, please check it.
>  And I'll upload it to 5-days deleyed queue, if maintainer don't want to do so,
>  please ask me to cancel it.
---end quoted text---

  Thanks, please go ahead with the NMU

-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Reply sent to Hideki Yamane <henrich@debian.org>:
You have taken responsibility. (Sat, 01 Dec 2012 14:48:13 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sat, 01 Dec 2012 14:48:13 GMT) Full text and rfc822 format available.

Message #22 received at 694015-close@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.org>
To: 694015-close@bugs.debian.org
Subject: Bug#694015: fixed in geda-gaf 1:1.6.2-4.1
Date: Sat, 01 Dec 2012 14:47:58 +0000
Source: geda-gaf
Source-Version: 1:1.6.2-4.1

We believe that the bug you reported is fixed in the latest version of
geda-gaf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694015@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hideki Yamane <henrich@debian.org> (supplier of updated geda-gaf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 24 Nov 2012 13:13:00 +0900
Source: geda-gaf
Binary: geda libgeda38 libgeda-dev libgeda-common geda-symbols geda-gschem geda-gattrib geda-gnetlist geda-gsymcheck geda-utils geda-examples geda-doc
Architecture: source all amd64
Version: 1:1.6.2-4.1
Distribution: unstable
Urgency: low
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Changed-By: Hideki Yamane <henrich@debian.org>
Description: 
 geda       - GPL EDA -- Electronics design software (metapackage)
 geda-doc   - GPL EDA -- Electronics design software (documentation)
 geda-examples - GPL EDA -- Electronics design software (example designs)
 geda-gattrib - GPL EDA -- Electronics design software (attribute editor)
 geda-gnetlist - GPL EDA -- Electronics design software (netlister)
 geda-gschem - GPL EDA -- Electronics design software (schematic editor)
 geda-gsymcheck - GPL EDA -- Electronics design software (symbol checker)
 geda-symbols - GPL EDA -- Electronics design software (symbols library)
 geda-utils - GPL EDA -- Electronics design software (utilities)
 libgeda-common - GPL EDA -- Electronics design software (data files)
 libgeda-dev - GPL EDA -- Electronics design software (development files)
 libgeda38  - GPL EDA -- Electronics design software (library files)
Closes: 694015
Changes: 
 geda-gaf (1:1.6.2-4.1) unstable; urgency=low
 .
   * Non-maintainer upload (with maintainer's ACK).
   * debian/control
     - set "Depends: geda-doc" from Recommends since its documents (including
       copyright file) is linked to geda-doc. It fixes "geda: copyright file
       missing after upgrade (policy 12.5) " (Closes: #694015)
Checksums-Sha1: 
 abb69f8907eaaf967d45c6575a8844b1a173e3d0 2771 geda-gaf_1.6.2-4.1.dsc
 cc3305bae5653793f03623ab8afa937cf1111268 12270 geda-gaf_1.6.2-4.1.debian.tar.gz
 851eb16daa75361991e2c80ee64a4e17e4419384 1122 geda_1.6.2-4.1_all.deb
 081e0d0b5f7bca368746ca281c945c4c08fb3121 170832 libgeda38_1.6.2-4.1_amd64.deb
 f12b3a277f09da196e27de211e9420911be9fd24 16350 libgeda-dev_1.6.2-4.1_amd64.deb
 4286d2334a13ddb54c6d7772312df69340042927 157640 libgeda-common_1.6.2-4.1_all.deb
 b5f499681b890f1841e26609c60b5ea361327425 512098 geda-symbols_1.6.2-4.1_all.deb
 79c1b7b732c194ee1184b8541a3dba9a2f98a290 566530 geda-gschem_1.6.2-4.1_amd64.deb
 8dfc797dc0f2590c0441bc4a0ca7ab19e69aceaf 131626 geda-gattrib_1.6.2-4.1_amd64.deb
 69d0d7bac0a6c868b2b5053f0999cbe5d0eced86 200708 geda-gnetlist_1.6.2-4.1_amd64.deb
 ccea1790d6f1ec53413407ad55e340acdb5f7168 37852 geda-gsymcheck_1.6.2-4.1_amd64.deb
 275c11d7ebadf2342e0d91abc285016d843c4a90 173950 geda-utils_1.6.2-4.1_amd64.deb
 fe76755ee1c6bb0143deb59194e31134439c806c 191264 geda-examples_1.6.2-4.1_all.deb
 8b0f714fbdde921231256604032de03568792d83 2668850 geda-doc_1.6.2-4.1_all.deb
Checksums-Sha256: 
 e45c1b2899f96f3fbc69d1278c0f1d3e4b991484eb3c7870a0e9ce6bf2654deb 2771 geda-gaf_1.6.2-4.1.dsc
 9a9b54e2e9ff9733ebffaf1da6e6550b3426cb6611c420c8e4348e2de82791dc 12270 geda-gaf_1.6.2-4.1.debian.tar.gz
 18814731cbaff2c6acee3f5bd2bfa01a0d206e7e7970ec6c9fc401dffc1e290a 1122 geda_1.6.2-4.1_all.deb
 28e9ae57b9d53c1b35e2b3d4bebadd8a73f45b3001acf3edc60ca18a9cc15edd 170832 libgeda38_1.6.2-4.1_amd64.deb
 606b122c2cbdba7334dc5ceffe634169d164d5f7dedbc3d0a5c6380a96f944df 16350 libgeda-dev_1.6.2-4.1_amd64.deb
 bc9bbb3009e6bda16ebe4031b73beea2dff7006b73b160787854375a270af734 157640 libgeda-common_1.6.2-4.1_all.deb
 3fb392d8a66cadf42326e003551cb8b38df7c7c23acc875eaf8b10e68bdce257 512098 geda-symbols_1.6.2-4.1_all.deb
 207d4e872ed1fb87e74ecf110c2f444d0b86d467240b3fc923eb3bec9a63de8e 566530 geda-gschem_1.6.2-4.1_amd64.deb
 ca5a40c86133a13880fac42a7ec2862295353e56120a9b7fc3d9684c1da6ade2 131626 geda-gattrib_1.6.2-4.1_amd64.deb
 6397bbb5eb01f9aa0b4dd17b3aa3c26ae8c4a217d9df4e7742b65b5365089906 200708 geda-gnetlist_1.6.2-4.1_amd64.deb
 2b7cedea5c2ba8879b095ede04e6dd64c6dc38bd435e42aadc0a301d6c1a7a28 37852 geda-gsymcheck_1.6.2-4.1_amd64.deb
 73de5374203fd5b35a4174339e683efbacf024f8c9ebef1a286df8b2336e3086 173950 geda-utils_1.6.2-4.1_amd64.deb
 90cbed8180d46fca29b1f973c8b124dee2ded65fbc9e4c4742ab1bbe420d7e63 191264 geda-examples_1.6.2-4.1_all.deb
 859842d5c9002d3e87c6727aedf87e1dae667e41b30e08ed45af8483238762f7 2668850 geda-doc_1.6.2-4.1_all.deb
Files: 
 82aa0ee16dda3c550869e55649e8d32c 2771 electronics optional geda-gaf_1.6.2-4.1.dsc
 16e810fb717e4d1d8eee6f4bf60b26f8 12270 electronics optional geda-gaf_1.6.2-4.1.debian.tar.gz
 14022fe4d326781dbf8b337524f19ebc 1122 electronics optional geda_1.6.2-4.1_all.deb
 af81d8a2e2c10e5860b81b61e6d09de8 170832 electronics optional libgeda38_1.6.2-4.1_amd64.deb
 008fcce6c15fc6cea83a9b0a883a2998 16350 libdevel optional libgeda-dev_1.6.2-4.1_amd64.deb
 aa62fd7fc84cc3f567cb2d76aa7717bb 157640 electronics optional libgeda-common_1.6.2-4.1_all.deb
 da31d194c6929c52069e358c9fdd81f5 512098 electronics optional geda-symbols_1.6.2-4.1_all.deb
 78b53926c9fb6ed4c20be0b7f10694da 566530 electronics optional geda-gschem_1.6.2-4.1_amd64.deb
 23da6859ecff896a60528b055e2e5089 131626 electronics optional geda-gattrib_1.6.2-4.1_amd64.deb
 77e3254248cf2ab1bbddd3b2258e49d1 200708 electronics optional geda-gnetlist_1.6.2-4.1_amd64.deb
 85c52e8ee3676dcc14c5d67186b113dd 37852 electronics optional geda-gsymcheck_1.6.2-4.1_amd64.deb
 2a5b2e6c783bde48f50c0f9f5e0c5078 173950 electronics optional geda-utils_1.6.2-4.1_amd64.deb
 a688d98386f4c81bfb3c54e1beacbad5 191264 electronics optional geda-examples_1.6.2-4.1_all.deb
 186ad7929bb043c93d3cbd533f19918c 2668850 doc optional geda-doc_1.6.2-4.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQt2/xAAoJEF0yjQgqqrFAw1wQAJ5nb3M031v+5wagKI1OJ9Qh
nK8sl8hPcp9BhnibgJLzs/j2v/CUOMgnoW9cH6HGSVzQNgrGWY102E6OeRrHjlj+
2alcZr9zP4gTLC0xZpRWoDbcsQ19LEBqisYHKSWGg9LC/705cpELUVQx+/Bcdm9j
6Ig9mGyKiUHi5xPDRUyjE5q8PkuwkVuA2jRbCp+C5WDE8ss0Z7LAGd976/vKcZX9
5ynq8NtQSiP8xBy6XJ1ichieKmpBN97rNdPMskCkWi9g5ZI0BnUkJE904Ai+lIpS
VYSCEHmHCxhVEu6gulUTCQd2Gn98Rqkcs0ARrn/jwqB4yNFm2/ZeitYL0vu9hZ0x
SLx9RtGi4fjDNWJZKD6LHLlUZLTkXdjzN3dC3hL4mMS6eq23QqML4DS5Acwc1UQm
FaRQrqD4TOkPwoWGm0zWF9d9a/wvUgEPt40CAzqh5PPMmIn4YC+GQ2VkbJpc4m2+
upxKMc2jGhszRKJ+Qo0MtNUIs8v1wIcPiJJcLA3cv1Pli/bA4CYWGJZNhuQpHIiN
2PUf6yMh/1prXHHH7jhLGY5wKA2tgwTukKQFEbSG5qHWiSfLvWeFQjxUXUZyF4U/
XCcVs5Ny5XG52i/0H4bj4YLjlBoK6lQBx4F38gRztulkfjud7gEYcKwy1zrpJG79
nk5CvAOCntsKUOkzFXOK
=6fQH
-----END PGP SIGNATURE-----




Marked as found in versions geda-gaf/1:1.6.1-5. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 02 Dec 2012 10:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Mon, 03 Dec 2012 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Mon, 03 Dec 2012 20:30:03 GMT) Full text and rfc822 format available.

Message #29 received at 694015@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 695032@bugs.debian.org
Cc: 694015@bugs.debian.org
Subject: Re: Bug#695032: unblock: geda-gaf/1.6.2-4.1
Date: Mon, 3 Dec 2012 21:26:43 +0100
[Message part 1 (text/plain, inline)]
reopen 694015
kthxbye

On Sun, Dec  2, 2012 at 01:34:24 +0900, Hideki Yamane wrote:

> Package: release.debian.org
> Severity: wishlist
> User: release.debian.org@packages.debian.org
> Usertags: unblock
> X-Debbugs-CC: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
> 
> Hi,
> 
>  Please unblock geda-gaf/1.6.2-4.1. It'd fix dependency problem during
>  upgrade. debdiff is below.
> 
> 
> diff -Nru geda-gaf-1.6.2/debian/changelog geda-gaf-1.6.2/debian/changelog
> --- geda-gaf-1.6.2/debian/changelog	2012-10-02 20:07:30.000000000 +0900
> +++ geda-gaf-1.6.2/debian/changelog	2012-11-29 23:20:31.000000000 +0900
> @@ -1,3 +1,13 @@
> +geda-gaf (1:1.6.2-4.1) unstable; urgency=low
> +
> +  * Non-maintainer upload (with maintainer's ACK).
> +  * debian/control
> +    - set "Depends: geda-doc" from Recommends since its documents (including
> +      copyright file) is linked to geda-doc. It fixes "geda: copyright file
> +      missing after upgrade (policy 12.5) " (Closes: #694015)
> +
> + -- Hideki Yamane <henrich@debian.org>  Sat, 24 Nov 2012 13:13:00 +0900
> +
>  geda-gaf (1:1.6.2-4) unstable; urgency=low
>  
>    * Added glib-single-include.patch: Do not include individual glib headers
> diff -Nru geda-gaf-1.6.2/debian/control geda-gaf-1.6.2/debian/control
> --- geda-gaf-1.6.2/debian/control	2012-10-02 20:07:30.000000000 +0900
> +++ geda-gaf-1.6.2/debian/control	2012-11-29 23:15:42.000000000 +0900
> @@ -12,8 +12,8 @@
>  
>  Package: geda
>  Architecture: all
> -Depends: ${misc:Depends}, geda-gschem, geda-gnetlist
> -Recommends: geda-gsymcheck, geda-gattrib, geda-doc
> +Depends: ${misc:Depends}, geda-gschem, geda-gnetlist, geda-doc
> +Recommends: geda-gsymcheck, geda-gattrib
>  Suggests: geda-utils, geda-examples, gerbv, pcb
>  Description: GPL EDA -- Electronics design software (metapackage)
>   The gEDA project has produced and continues working on a full GPL'd suite and

NAK.  If you're using symlinked /usr/share/doc directory the dependency
needs to be strictly on the exact same version of the other package.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 03 Dec 2012 20:30:07 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions geda-gaf/1:1.6.2-4.1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 03 Dec 2012 20:30:07 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 03 Dec 2012 22:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Fri, 07 Dec 2012 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Fri, 07 Dec 2012 15:45:03 GMT) Full text and rfc822 format available.

Message #40 received at 694015@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 694015@bugs.debian.org
Subject: geda-gaf: diff for NMU version 1:1.6.2-4.2
Date: Fri, 7 Dec 2012 16:41:26 +0100
[Message part 1 (text/plain, inline)]
tags 694015 + patch
tags 694015 + pending
thanks

Dear maintainer,

I've prepared an NMU for geda-gaf (versioned as 1:1.6.2-4.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Steppenwolf: Born To Be Wild
[geda-gaf-1.6.2-4.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 07 Dec 2012 15:45:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 07 Dec 2012 15:45:09 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 09 Dec 2012 16:06:03 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 16:06:04 GMT) Full text and rfc822 format available.

Message #49 received at 694015-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 694015-close@bugs.debian.org
Subject: Bug#694015: fixed in geda-gaf 1:1.6.2-4.2
Date: Sun, 09 Dec 2012 16:03:03 +0000
Source: geda-gaf
Source-Version: 1:1.6.2-4.2

We believe that the bug you reported is fixed in the latest version of
geda-gaf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694015@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated geda-gaf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 07 Dec 2012 16:34:46 +0100
Source: geda-gaf
Binary: geda libgeda38 libgeda-dev libgeda-common geda-symbols geda-gschem geda-gattrib geda-gnetlist geda-gsymcheck geda-utils geda-examples geda-doc
Architecture: source all amd64
Version: 1:1.6.2-4.2
Distribution: unstable
Urgency: low
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 geda       - GPL EDA -- Electronics design software (metapackage)
 geda-doc   - GPL EDA -- Electronics design software (documentation)
 geda-examples - GPL EDA -- Electronics design software (example designs)
 geda-gattrib - GPL EDA -- Electronics design software (attribute editor)
 geda-gnetlist - GPL EDA -- Electronics design software (netlister)
 geda-gschem - GPL EDA -- Electronics design software (schematic editor)
 geda-gsymcheck - GPL EDA -- Electronics design software (symbol checker)
 geda-symbols - GPL EDA -- Electronics design software (symbols library)
 geda-utils - GPL EDA -- Electronics design software (utilities)
 libgeda-common - GPL EDA -- Electronics design software (data files)
 libgeda-dev - GPL EDA -- Electronics design software (development files)
 libgeda38  - GPL EDA -- Electronics design software (library files)
Closes: 694015
Changes: 
 geda-gaf (1:1.6.2-4.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "copyright file missing after upgrade (policy 12.5)":
     make dependency geda -> geda-doc strictly versioned.
     (Closes: #694015)
Checksums-Sha1: 
 600b546981832eee60ecc02b50999c3dee62dd3b 2771 geda-gaf_1.6.2-4.2.dsc
 6b36e72593e6d35143a3bcf2bdc7b011980f2d09 12354 geda-gaf_1.6.2-4.2.debian.tar.gz
 2af03d205d11a970cecc54192c050ce1f9f66018 1130 geda_1.6.2-4.2_all.deb
 bca70e7d8848c89eac49e17df7ace267d0e96004 170982 libgeda38_1.6.2-4.2_amd64.deb
 4c6f77e2be92001274fd20ae82629861b374eded 16366 libgeda-dev_1.6.2-4.2_amd64.deb
 4b768196ded8589423a99500d69fb22b8d94ab09 159874 libgeda-common_1.6.2-4.2_all.deb
 a1c7ec8cac731f540d66179e0fd392e193b7080a 582810 geda-symbols_1.6.2-4.2_all.deb
 f6a3eb0bb01467e20e411a6f4987fb45ae657e04 567512 geda-gschem_1.6.2-4.2_amd64.deb
 3e440965909b893fe11bab6245f2ac3362411a7f 130790 geda-gattrib_1.6.2-4.2_amd64.deb
 e4b6d0fb752f0095aa3fe236ee228d046b4515a4 201446 geda-gnetlist_1.6.2-4.2_amd64.deb
 8f5c8e43d7fe7b0fb116094de7d5d47702d030bf 38092 geda-gsymcheck_1.6.2-4.2_amd64.deb
 3c967ddc96addb7fd4b8e1a6588ff979cb251c6f 182598 geda-utils_1.6.2-4.2_amd64.deb
 71124c6c1bab84f3462c4e2616786c36a8807ae6 193966 geda-examples_1.6.2-4.2_all.deb
 520ff6983b92f1b576e7eb4c1c6f832c277c7ca9 2673348 geda-doc_1.6.2-4.2_all.deb
Checksums-Sha256: 
 daa457e2f3b01635081dc7372574fc81b9ee73dfa2ed0540ad755239d0751d11 2771 geda-gaf_1.6.2-4.2.dsc
 139585eba8236e7e5fe445ca34f174200edc692284505b0877a5fb4609ca064b 12354 geda-gaf_1.6.2-4.2.debian.tar.gz
 9bc05523fc21608fbfcddd3b4929b4c92dadff0e86a32ee0a14d0f1dc045cecc 1130 geda_1.6.2-4.2_all.deb
 aa705315d1329dc771795f658d69816b57248b4be6c71ba0de4beff9bc10c3a6 170982 libgeda38_1.6.2-4.2_amd64.deb
 94a7bc4b4373cdb56d543ceba8beecd2121aaf1a70ed8e810169f6af5374ad66 16366 libgeda-dev_1.6.2-4.2_amd64.deb
 68a559453c04a62d2d0f797246fb656591f95f07bf0150e232f3a1c512495e98 159874 libgeda-common_1.6.2-4.2_all.deb
 e0365e418e3460638da30e748e047f77085f5021796a95c1e3b9a8f0e847714c 582810 geda-symbols_1.6.2-4.2_all.deb
 f1f0b240b8e91207fdb0f3144d8b17d77091e733f341e74c9ac3a34ac84d92d3 567512 geda-gschem_1.6.2-4.2_amd64.deb
 26c428b0d62b88eac2df742d7a641dcbfb14827943729a3f8607b3fccd620e8e 130790 geda-gattrib_1.6.2-4.2_amd64.deb
 0010fcf6b62157f353fc553564ca665fc5deb3349155c4e906ef8a03ca4b1073 201446 geda-gnetlist_1.6.2-4.2_amd64.deb
 2af014d41c46b39390e34e678f2d378980ea22bc52997949c5216f044d1268b6 38092 geda-gsymcheck_1.6.2-4.2_amd64.deb
 f92f0f3d565722649717f9307d4c50c993b66848013b6b8d3299458a2b4af0d6 182598 geda-utils_1.6.2-4.2_amd64.deb
 d34f15aa37e1b64465536e53ba9d900c3bf5c0058941c97d3feb97bf50579a19 193966 geda-examples_1.6.2-4.2_all.deb
 96ec0cac14d394ff9aa80619191d54caf64bc9f5810554137bc4122faf051b45 2673348 geda-doc_1.6.2-4.2_all.deb
Files: 
 010db8d0634e59e34dee01a0e37da0fe 2771 electronics optional geda-gaf_1.6.2-4.2.dsc
 5df132b31923a0061baf28aee1162d86 12354 electronics optional geda-gaf_1.6.2-4.2.debian.tar.gz
 4acc06a5885c3b3e55778b61770f57c8 1130 electronics optional geda_1.6.2-4.2_all.deb
 5d1202a5d850a32b0b1cd9b59d92ce2e 170982 electronics optional libgeda38_1.6.2-4.2_amd64.deb
 d57d4c8a56c33c490aaee48db783fdd2 16366 libdevel optional libgeda-dev_1.6.2-4.2_amd64.deb
 a5757e2c7fe140513012a8a980f47149 159874 electronics optional libgeda-common_1.6.2-4.2_all.deb
 ff111357666efb6c004bd4634ae92f76 582810 electronics optional geda-symbols_1.6.2-4.2_all.deb
 7428e91d09a17436f9fbabaeb8381d8d 567512 electronics optional geda-gschem_1.6.2-4.2_amd64.deb
 91d26c3c0e1395ad68c27621e58dcc35 130790 electronics optional geda-gattrib_1.6.2-4.2_amd64.deb
 7224579f1145298495c3f5d4b5229706 201446 electronics optional geda-gnetlist_1.6.2-4.2_amd64.deb
 14e23fd1d555132593f4bc0085733a3d 38092 electronics optional geda-gsymcheck_1.6.2-4.2_amd64.deb
 0938ec88bbccd26e7b1dbdc6a0b3de50 182598 electronics optional geda-utils_1.6.2-4.2_amd64.deb
 918ca1059d09978138f5392df6b97574 193966 electronics optional geda-examples_1.6.2-4.2_all.deb
 f45bdb7066e523756cd7cc174d414fdb 2673348 doc optional geda-doc_1.6.2-4.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQwg0sAAoJELs6aAGGSaoGLdUP/22lEBLivjZeGCPYGAL2AYg+
dZCv9S0AoFIoV0QhNKLBOdMadVQrBtMJhmflHchbQQ3io/fE0VhoLlYbfBQLOAQ7
kLa0nzPczIICMJRrUbwsv+IKWd+iMkCv5UpSeaNySz5FnG3UxkhaeLlgR/buA40o
rjh7tASGgLOieG05a+wz0atIn+0mqKNvsKfgk2iyzN5dBnW8i1Z3VGcRhps0LFy/
HFN1uKxWmvOs33f0g7yvjIlMNWWmGQ7+jCsSEDeerVHIYQcXo5llw2+3bDdJa+JL
OT5TOjlzvMQgen3gHkV1oStFu9muNnr60wvApx3wRHIr1oXN9myDd8ppNrrCISA3
bCGIg8l2teXYqOQMqyNeYIx8ZrHcTZMEBpBwVd4OTUzx8UvPWQk4Ngp6vyVdYqtE
14CegJEGDyGZf2e9OIvBAc73wiEMjrVttZZxHJW672VhadaRwjjPnj2iUaKSTBwA
h4Ei+5SUcGujH8KakTx2g+8gp3RaeEhDcNutN0Pf6YvNGVbWpivp1tMpj7d+lzty
iuMawuE7jWah7/6V3eWy85bMoY4G1sCmuqsxFsWY2LQi1SbX9HVjdtiBXnjGVf6i
4hLxXFdB7EVgAz5Cp2dcLO8ZDEzgGFVh1NzJfjQm35Wa3z6LREOmsnDj8lJjgHWm
SilE+IJVT4ihEkq7zxvB
=P3bw
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sat, 19 Jan 2013 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sat, 19 Jan 2013 15:06:03 GMT) Full text and rfc822 format available.

Message #54 received at 694015@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <694015@bugs.debian.org>
Subject: Re: geda: copyright file missing after upgrade (policy 12.5)
Date: Sat, 19 Jan 2013 16:02:12 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #694015
Control: found -1 1:1.6.2-4.2

Hi,

fixing the dependencies is not sufficient. The migration of
/usr/share/doc/PKG from a directory to a symlink needs to be done
manually in postinst, too. dpkg intentionally does not replace
directories with symlinks and vice versa.

Andreas
[geda_1:1.6.2-4.2.log.gz (application/x-gzip, attachment)]

Marked as found in versions geda-gaf/1:1.6.2-4.2; no longer marked as fixed in versions geda-gaf/1:1.6.2-4.2 and reopened. Request was from Andreas Beckmann <debian@abeckmann.de> to 694015-submit@bugs.debian.org. (Sat, 19 Jan 2013 15:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sat, 19 Jan 2013 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sat, 19 Jan 2013 16:21:03 GMT) Full text and rfc822 format available.

Message #61 received at 694015@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 694015@bugs.debian.org
Subject: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sat, 19 Jan 2013 17:19:17 +0100
[Message part 1 (text/plain, inline)]
tags 694015 + pending
thanks

Dear maintainer,

I've prepared an NMU for geda-gaf (versioned as 1:1.6.2-4.3) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Guerra Fria 128
[geda-gaf-1.6.2-4.3-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 19 Jan 2013 16:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 11:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 11:03:04 GMT) Full text and rfc822 format available.

Message #68 received at 694015@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: gregor herrmann <gregoa@debian.org>, 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 13:00:07 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jan 19, 2013 at 05:19:17PM +0100, gregor herrmann wrote:
> I've prepared an NMU for geda-gaf (versioned as 1:1.6.2-4.3) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.
---end quoted text---

  Actually there is 1:1.8.1-1 upload in NEW. I intend to include your 
  fix in -2 now.

-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 12:03:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 12:03:15 GMT) Full text and rfc822 format available.

Message #73 received at 694015@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: gregor herrmann <gregoa@debian.org>, 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 14:02:31 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jan 19, 2013 at 05:19:17PM +0100, gregor herrmann wrote:
> +# Replace documentation directory with symlink
> +docdir=/usr/share/doc/geda
> +target=geda-doc
> +
> +if [ -d $docdir ] && [ ! -L $docdir ]; then
> +	if rmdir $docdir 2>/dev/null; then
> +		ln -sf $target $docdir
> +	fi
> +fi
---end quoted text---

  Are you sure about this fix ?

  I think target should be /usr/share/doc/geda-doc rather than just 
  'geda-doc'


-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 13:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 13:12:05 GMT) Full text and rfc822 format available.

Message #78 received at 694015@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: أحمد المحمودي <aelmahmoudy@sabily.org>
Cc: 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 14:09:33 +0100
[Message part 1 (text/plain, inline)]
On Sun, 20 Jan 2013 14:02:31 +0200, أحمد المحمودي wrote:

> On Sat, Jan 19, 2013 at 05:19:17PM +0100, gregor herrmann wrote:
> > +# Replace documentation directory with symlink
> > +docdir=/usr/share/doc/geda
> > +target=geda-doc
> > +
> > +if [ -d $docdir ] && [ ! -L $docdir ]; then
> > +	if rmdir $docdir 2>/dev/null; then
> > +		ln -sf $target $docdir
> > +	fi
> > +fi
> ---end quoted text---
> 
>   Are you sure about this fix ?
>   I think target should be /usr/share/doc/geda-doc rather than just 
>   'geda-doc'

I admit that it looks a bit surprising, but it's like in other
packages, and I've tested
(a) this ln syntax manually [0]
(b) and installing the new package in a chroot after making sure that
    /usr/share/doc/geda is a directory, and it was a symlink
    afterwards.

But if you like to write it differently I'm happy to cancel the NMU
or upload a version where $target is the full path.

Cheers,
gregor


[0]

% mkdir /tmp/geda
% mkdir /tmp/geda-doc
% ls -ld /tmp/geda*
drwxrwxr-x 2 gregoa gregoa 40 Jan 20 14:05 /tmp/geda
drwxrwxr-x 2 gregoa gregoa 40 Jan 20 14:05 /tmp/geda-doc

% rmdir /tmp/geda
% ln -sf geda-doc /tmp/geda
% ls -ld /tmp/geda*
lrwxrwxrwx 1 gregoa gregoa  8 Jan 20 14:06 /tmp/geda -> geda-doc
drwxrwxr-x 2 gregoa gregoa 40 Jan 20 14:05 /tmp/geda-doc
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Beatles: Glass Onion
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 13:15:03 GMT) Full text and rfc822 format available.

Message #83 received at 694015@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: أحمد المحمودي <aelmahmoudy@sabily.org>, 694015@bugs.debian.org
Subject: Re: Bug#694015: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 14:10:33 +0100
[Message part 1 (text/plain, inline)]
On Sun, 20 Jan 2013 13:00:07 +0200, أحمد المحمودي wrote:

> On Sat, Jan 19, 2013 at 05:19:17PM +0100, gregor herrmann wrote:
> > I've prepared an NMU for geda-gaf (versioned as 1:1.6.2-4.3) and
> > uploaded it to DELAYED/2. Please feel free to tell me if I
> > should delay it longer.
> ---end quoted text---
> 
>   Actually there is 1:1.8.1-1 upload in NEW. I intend to include your 
>   fix in -2 now.

Thank you!

gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Sinéad O'Connor: Drink Before The War
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 15:09:03 GMT) Full text and rfc822 format available.

Message #88 received at 694015@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: gregor herrmann <gregoa@debian.org>, 694015@bugs.debian.org, 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 08:07:03 -0700
[Message part 1 (text/plain, inline)]
gregor herrmann <gregoa@debian.org> writes:

> I've prepared an NMU for geda-gaf (versioned as 1:1.6.2-4.3) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

Be aware that 1.8.1-1 has been uploaded to unstable and is awaiting NEW
processing. 

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 15:39:03 GMT) Full text and rfc822 format available.

Message #93 received at 694015@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Bdale Garbee <bdale@gag.com>
Cc: 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 16:36:29 +0100
[Message part 1 (text/plain, inline)]
On Sun, 20 Jan 2013 08:07:03 -0700, Bdale Garbee wrote:

> > I've prepared an NMU for geda-gaf (versioned as 1:1.6.2-4.3) and
> > uploaded it to DELAYED/2. Please feel free to tell me if I
> > should delay it longer.
> Be aware that 1.8.1-1 has been uploaded to unstable and is awaiting NEW
> processing. 

Thanks, I've noted the version in NEW but for some reason I assumed
it was targetting experimental.

Having it in unstable now would be unfortunate (with or without this
fix) since a new upstream version would most probably not migrate to
testing, meaning we'd need an upload to testing-proposed-updates.

I guess it makes sense to cancel the NMU since both Ahmed and you are
looking after the package, and let you sort out the best way to
proceed?


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Andrew Lloyd Webber & Tim Rice
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 17:21:06 GMT) Full text and rfc822 format available.

Message #98 received at 694015@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: gregor herrmann <gregoa@debian.org>
Cc: 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 10:18:29 -0700
[Message part 1 (text/plain, inline)]
gregor herrmann <gregoa@debian.org> writes:

> Thanks, I've noted the version in NEW but for some reason I assumed
> it was targetting experimental.

> Having it in unstable now would be unfortunate (with or without this
> fix) since a new upstream version would most probably not migrate to
> testing, meaning we'd need an upload to testing-proposed-updates.

There's a balance here, but in my opinion it is *way* past time for 1.8
to be in unstable.

> I guess it makes sense to cancel the NMU since both Ahmed and you are
> looking after the package, and let you sort out the best way to
> proceed?

[shrug]  I have no interest at all in 1.6 at this point, so if you think
fixing this bug in wheezy is important, maybe a testing-proposed-updates
upload would still be useful?  

FWIW, let me explain why I don't care about 1.6 any more.

There's at least one nasty DRC bug in the version of pcb packaged
in Debian that forced me to move to a fresher upstream version for my
production use of pcb.  Once you start using fresher pcb from upstream,
you must upgrade geda-gaf because older versions don't understand the
dimensional suffixes present in the files created by newer pcb... using
an older gsch2pcb *break* the pcb design by smashing dimensions when it
doesn't understand the new suffixes.

Sadly, my latest conversation with pcb upstream suggests there's no
sense of urgency for making a new "release" of pcb.  I'm really tempted
to build a newer version of pcb for unstable despite this, since what
I'm running now seems better in every way than the 16-month-old bits
currently packaged in Debian... that way at least the bits in unstable
would be "useful again".

This obviously conflicts with the idea of keeping unstable available as a
path for easy patch migration to testing, though.  Personally, having
bits in unstable that are useful to me is much more important than
fixing wheezy right now, since I'm already resigned to the idea that
we're going to have to do builds for backports to keep geda-gaf and pcb
useful to wheezy users in the future.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 17:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 17:33:05 GMT) Full text and rfc822 format available.

Message #103 received at 694015@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Bdale Garbee <bdale@gag.com>
Cc: 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 18:31:42 +0100
[Message part 1 (text/plain, inline)]
On Sun, 20 Jan 2013 10:18:29 -0700, Bdale Garbee wrote:

> > Having it in unstable now would be unfortunate (with or without this
> > fix) since a new upstream version would most probably not migrate to
> > testing, meaning we'd need an upload to testing-proposed-updates.
> There's a balance here, but in my opinion it is *way* past time for 1.8
> to be in unstable.

Ok.
 
> > I guess it makes sense to cancel the NMU since both Ahmed and you are
> > looking after the package, and let you sort out the best way to
> > proceed?
> [shrug]  I have no interest at all in 1.6 at this point, so if you think
> fixing this bug in wheezy is important, maybe a testing-proposed-updates
> upload would still be useful?  

Or removing 1.6 from testing?

In any case, I've cancelled the NMU now in order not to inferfere
with the 1.8 version in NEW.
 
> FWIW, let me explain why I don't care about 1.6 any more.

[..]

Thank you for the details.
 
> This obviously conflicts with the idea of keeping unstable available as a
> path for easy patch migration to testing, though.  Personally, having
> bits in unstable that are useful to me is much more important than
> fixing wheezy right now, since I'm already resigned to the idea that
> we're going to have to do builds for backports to keep geda-gaf and pcb
> useful to wheezy users in the future.

I see; this also sounds a bit like it's not worth releasing wheezy
with 1.6?

Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: The Eagles: James Dean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 20:57:06 GMT) Full text and rfc822 format available.

Message #108 received at 694015@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 22:53:27 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jan 20, 2013 at 02:09:33PM +0100, gregor herrmann wrote:
> On Sun, 20 Jan 2013 14:02:31 +0200, أحمد المحمودي wrote:
> 
> > On Sat, Jan 19, 2013 at 05:19:17PM +0100, gregor herrmann wrote:
> > > +# Replace documentation directory with symlink
> > > +docdir=/usr/share/doc/geda
> > > +target=geda-doc
> > > +
> > > +if [ -d $docdir ] && [ ! -L $docdir ]; then
> > > +	if rmdir $docdir 2>/dev/null; then
> > > +		ln -sf $target $docdir
> > > +	fi
> > > +fi
> > ---end quoted text---
> > 
> >   Are you sure about this fix ?
> >   I think target should be /usr/share/doc/geda-doc rather than just 
> >   'geda-doc'
> 
> I admit that it looks a bit surprising, but it's like in other
> packages, and I've tested
> (a) this ln syntax manually [0]
> (b) and installing the new package in a chroot after making sure that
>     /usr/share/doc/geda is a directory, and it was a symlink
>     afterwards.
---end quoted text---

  For this to run correctly, it must be that the postinst's CWD is 
  /usr/share/doc, is that guaranteed ?
-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 20:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 20:57:08 GMT) Full text and rfc822 format available.

Message #113 received at 694015@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: gregor herrmann <gregoa@debian.org>
Cc: 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 22:56:20 +0200
[Message part 1 (text/plain, inline)]
On Sun, Jan 20, 2013 at 10:53:27PM +0200, أحمد المحمودي wrote:
> On Sun, Jan 20, 2013 at 02:09:33PM +0100, gregor herrmann wrote:
> > On Sun, 20 Jan 2013 14:02:31 +0200, أحمد المحمودي wrote:
> > 
> > > On Sat, Jan 19, 2013 at 05:19:17PM +0100, gregor herrmann wrote:
> > > > +# Replace documentation directory with symlink
> > > > +docdir=/usr/share/doc/geda
> > > > +target=geda-doc
> > > > +
> > > > +if [ -d $docdir ] && [ ! -L $docdir ]; then
> > > > +	if rmdir $docdir 2>/dev/null; then
> > > > +		ln -sf $target $docdir
> > > > +	fi
> > > > +fi
> > > ---end quoted text---
> > > 
> > >   Are you sure about this fix ?
> > >   I think target should be /usr/share/doc/geda-doc rather than just 
> > >   'geda-doc'
> > 
> > I admit that it looks a bit surprising, but it's like in other
> > packages, and I've tested
> > (a) this ln syntax manually [0]
> > (b) and installing the new package in a chroot after making sure that
> >     /usr/share/doc/geda is a directory, and it was a symlink
> >     afterwards.
> ---end quoted text---
> 
>   For this to run correctly, it must be that the postinst's CWD is 
>   /usr/share/doc, is that guaranteed ?
---end quoted text---

  Oh, nevermind the noise, you are right indeed. It would work 
  correctly, regardless of the CWD !

-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 20 Jan 2013 21:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 20 Jan 2013 21:00:04 GMT) Full text and rfc822 format available.

Message #118 received at 694015@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: Bdale Garbee <bdale@gag.com>, 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Sun, 20 Jan 2013 22:57:31 +0200
[Message part 1 (text/plain, inline)]
Bdale, I've added gregoa's patch & pushed to git. Please upload.

-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Mon, 21 Jan 2013 09:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Mon, 21 Jan 2013 09:36:05 GMT) Full text and rfc822 format available.

Message #123 received at 694015@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: gregor herrmann <gregoa@debian.org>
Cc: 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Mon, 21 Jan 2013 02:34:37 -0700
[Message part 1 (text/plain, inline)]
gregor herrmann <gregoa@debian.org> writes:

> I see; this also sounds a bit like it's not worth releasing wheezy
> with 1.6?

[shrug]

At least gschem is used to produce data for many things other than pcb,
so no, I don't really agree that it would be better to have no geda-gaf
than to have 1.6 in wheezy.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Mon, 21 Jan 2013 10:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Mon, 21 Jan 2013 10:24:06 GMT) Full text and rfc822 format available.

Message #128 received at 694015@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: أحمد المحمودي <aelmahmoudy@sabily.org>, 694015@bugs.debian.org
Subject: Re: [Pkg-electronics-devel] Bug#694015: Bug#694015: geda-gaf: diff for NMU version 1:1.6.2-4.3
Date: Mon, 21 Jan 2013 03:22:27 -0700
[Message part 1 (text/plain, inline)]
أحمد المحمودي <aelmahmoudy@sabily.org> writes:

> Bdale, I've added gregoa's patch & pushed to git. Please upload.

Done.  debian/1.8.1-2 uploaded, tagged, and pushed.

Bdale
[Message part 2 (application/pgp-signature, inline)]

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:30:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, bdale@gag.com, gregoa@debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 27 Jan 2013 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to bdale@gag.com, gregoa@debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 27 Jan 2013 14:39:03 GMT) Full text and rfc822 format available.

Message #135 received at 694015@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <694015@bugs.debian.org>
Subject: Re: geda: copyright file missing after upgrade (policy 12.5)
Date: Sun, 27 Jan 2013 15:37:41 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #694015

Hi,

On Monday, 21. January 2013 10:34:37 Bdale Garbee wrote:
> so no, I don't really agree that it would be better to have no geda-gaf
> than to have 1.6 in wheezy.

On Monday, 21. January 2013 11:22:27 Bdale Garbee wrote:
> أحمد المحمودي <aelmahmoudy@sabily.org> writes:
> > Bdale, I've added gregoa's patch & pushed to git. Please upload.
>
> Done.  debian/1.8.1-2 uploaded, tagged, and pushed.

Well, wanting to keep (and fix) RC-buggy geda 1.6 in wheezy and
uploading a new upstream to unstable (currently stuck in NEW) contradict
each other.

I have prepared a NMU 1:1.6.2-4.3 cherry-picking gregoa's patch.
Once that has passed my piuparts tests I'll upload it to DELAYED/2.
Patch attached.

What can be done to block/cancel/reroute-to-experimental the 1.8.x
packages currently in NEW? This would allow getting this fix via sid
and avoiding the t-p-u road.


Andreas
[694015-part3.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 27 Jan 2013 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 27 Jan 2013 16:03:03 GMT) Full text and rfc822 format available.

Message #140 received at 694015@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Andreas Beckmann <anbe@debian.org>, 694015@bugs.debian.org
Cc: ftpmaster@debian.org
Subject: Re: Bug#694015: geda: copyright file missing after upgrade (policy 12.5)
Date: Sun, 27 Jan 2013 16:01:54 +0000
[Message part 1 (text/plain, inline)]
On Sun, Jan 27, 2013 at 15:37:41 +0100, Andreas Beckmann wrote:

> Followup-For: Bug #694015
> 
> Hi,
> 
> On Monday, 21. January 2013 10:34:37 Bdale Garbee wrote:
> > so no, I don't really agree that it would be better to have no geda-gaf
> > than to have 1.6 in wheezy.
> 
> On Monday, 21. January 2013 11:22:27 Bdale Garbee wrote:
> > أحمد المحمودي <aelmahmoudy@sabily.org> writes:
> > > Bdale, I've added gregoa's patch & pushed to git. Please upload.
> >
> > Done.  debian/1.8.1-2 uploaded, tagged, and pushed.
> 
> Well, wanting to keep (and fix) RC-buggy geda 1.6 in wheezy and
> uploading a new upstream to unstable (currently stuck in NEW) contradict
> each other.
> 
> I have prepared a NMU 1:1.6.2-4.3 cherry-picking gregoa's patch.
> Once that has passed my piuparts tests I'll upload it to DELAYED/2.
> Patch attached.
> 
> What can be done to block/cancel/reroute-to-experimental the 1.8.x
> packages currently in NEW? This would allow getting this fix via sid
> and avoiding the t-p-u road.
> 
Well they're in NEW so they're pretty much already blocked.  ftpmaster,
could you make a note to not accept geda-gaf from NEW until after
Andreas' NMU is in wheezy, at least?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>:
Bug#694015; Package geda. (Sun, 27 Jan 2013 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>. (Sun, 27 Jan 2013 17:12:03 GMT) Full text and rfc822 format available.

Message #145 received at 694015@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <694015@bugs.debian.org>
Subject: Re: geda: copyright file missing after upgrade (policy 12.5)
Date: Sun, 27 Jan 2013 18:09:00 +0100
On 2013-01-27 15:37, Andreas Beckmann wrote:
> I have prepared a NMU 1:1.6.2-4.3 cherry-picking gregoa's patch.
> Once that has passed my piuparts tests I'll upload it to DELAYED/2.
> Patch attached.

Tests passed. Package uploaded.

Since I probably don't have write permission in
git://git.debian.org/git/pkg-electronics/geda-gaf.git
you can find the changes from the NMUs in
git://github.com/anbe42/tmp-geda-gaf.git branch wheezy
I'll push the signed tag once the package got accepted into sid.

Andreas



Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Tue, 29 Jan 2013 16:51:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Tue, 29 Jan 2013 16:51:07 GMT) Full text and rfc822 format available.

Message #150 received at 694015-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 694015-close@bugs.debian.org
Subject: Bug#694015: fixed in geda-gaf 1:1.6.2-4.3
Date: Tue, 29 Jan 2013 16:48:43 +0000
Source: geda-gaf
Source-Version: 1:1.6.2-4.3

We believe that the bug you reported is fixed in the latest version of
geda-gaf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694015@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated geda-gaf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 27 Jan 2013 15:17:05 +0100
Source: geda-gaf
Binary: geda libgeda38 libgeda-dev libgeda-common geda-symbols geda-gschem geda-gattrib geda-gnetlist geda-gsymcheck geda-utils geda-examples geda-doc
Architecture: source all amd64
Version: 1:1.6.2-4.3
Distribution: unstable
Urgency: low
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 geda       - GPL EDA -- Electronics design software (metapackage)
 geda-doc   - GPL EDA -- Electronics design software (documentation)
 geda-examples - GPL EDA -- Electronics design software (example designs)
 geda-gattrib - GPL EDA -- Electronics design software (attribute editor)
 geda-gnetlist - GPL EDA -- Electronics design software (netlister)
 geda-gschem - GPL EDA -- Electronics design software (schematic editor)
 geda-gsymcheck - GPL EDA -- Electronics design software (symbol checker)
 geda-symbols - GPL EDA -- Electronics design software (symbols library)
 geda-utils - GPL EDA -- Electronics design software (utilities)
 libgeda-common - GPL EDA -- Electronics design software (data files)
 libgeda-dev - GPL EDA -- Electronics design software (development files)
 libgeda38  - GPL EDA -- Electronics design software (library files)
Closes: 694015
Changes: 
 geda-gaf (1:1.6.2-4.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Manually replace directory with symlink in geda.postinst.
     Thanks to gregor herrmann <gregoa@debian.org> (Closes: #694015)
Checksums-Sha1: 
 270bc8dec82e3852b41ae2b8418f6782f85d27a4 2771 geda-gaf_1.6.2-4.3.dsc
 fdcd9d329694377fa91350f0c8e277808dad4a18 12733 geda-gaf_1.6.2-4.3.debian.tar.gz
 90f36e179acd64c5351547a18cdff744407f7294 1300 geda_1.6.2-4.3_all.deb
 4840155863aa6be92dcd2554224c62496e103eec 170836 libgeda38_1.6.2-4.3_amd64.deb
 10280a65dadd97ad76b1dfd4d70f778fd8c52900 16342 libgeda-dev_1.6.2-4.3_amd64.deb
 3f31c3be9aa52dd0eeccaf32308f8846f06d17b3 157806 libgeda-common_1.6.2-4.3_all.deb
 a583a7915cd15e72274bf87c27eff5c3ffdc8eb8 512264 geda-symbols_1.6.2-4.3_all.deb
 62b47669b4c637e465c15d476dc439f5fa928e00 566600 geda-gschem_1.6.2-4.3_amd64.deb
 7fd405a18ff11318d3a08be15515735c5b94fea9 131748 geda-gattrib_1.6.2-4.3_amd64.deb
 dc5be399eb11f6067b65ee421e8dfc17fe12432d 200848 geda-gnetlist_1.6.2-4.3_amd64.deb
 195b8fde10c89ab21cd21efdc9ddcf641c395237 38010 geda-gsymcheck_1.6.2-4.3_amd64.deb
 4a0b2b28575f67f3f887bd205dd2bae5e3ca414c 174136 geda-utils_1.6.2-4.3_amd64.deb
 af42313c6036768cfd4dc12b75c52449950d975d 191404 geda-examples_1.6.2-4.3_all.deb
 f061e1cf45ea526f09a20a87f93e7fbecdc616e4 2669002 geda-doc_1.6.2-4.3_all.deb
Checksums-Sha256: 
 28dadda4a77635511f8e0af9da47c751d70074ae1288ba9c354868329881d0bc 2771 geda-gaf_1.6.2-4.3.dsc
 8b9e4c15ca4526d645a4955a36bbeecebfd7bfff4cdb922cad81f605ea2aef7c 12733 geda-gaf_1.6.2-4.3.debian.tar.gz
 5e82eaf93d3de29e2b5d11ea90958c387cc8c0f1073daa1c8977351a47e374a9 1300 geda_1.6.2-4.3_all.deb
 0a05b1d6e1a8dfa5edb9d54291b902e3f3d75aeb04b6ce9f72b35e4f646b4fbc 170836 libgeda38_1.6.2-4.3_amd64.deb
 c2597dcae2ed8573a13bb6267079293bcb14e418509c02c9cc041567956da1fb 16342 libgeda-dev_1.6.2-4.3_amd64.deb
 f2cdf1c7f437538bf79e16497a826024e74513c67b39e3c7e395f2c43daf13eb 157806 libgeda-common_1.6.2-4.3_all.deb
 7363809bc7031deb66c38b5c39e653905aaa886779d5afaf98a2af078424e0a7 512264 geda-symbols_1.6.2-4.3_all.deb
 68fd99590d5bdc2faee89d2c34a4e26801d9494ac846a570505a73105bf9254f 566600 geda-gschem_1.6.2-4.3_amd64.deb
 b3e9f1f456a84e15a0d77657ebf2e7c83744a4e78c382518cd56593b4993065d 131748 geda-gattrib_1.6.2-4.3_amd64.deb
 1b640153ac61c650f5de7e0e05105db1ef8c382846e1404e2604009a84091adf 200848 geda-gnetlist_1.6.2-4.3_amd64.deb
 f457d2aa027038cec1a44004dd92b50a2f84fd9563b55dcdf2d33e0fc6e91c5b 38010 geda-gsymcheck_1.6.2-4.3_amd64.deb
 6438c59717d980821fd5d433a66ea4dd2aba3ecebc037449ebd9eafca340514f 174136 geda-utils_1.6.2-4.3_amd64.deb
 5b5df7d33e35fb3a2cf23ff75490b7e28d517451a83b55245590c97b4b177efb 191404 geda-examples_1.6.2-4.3_all.deb
 4d22f98fb119fca939d7d86e8c6bfede77abc377135c8d1e966066c55b5e7966 2669002 geda-doc_1.6.2-4.3_all.deb
Files: 
 5ba99d8934f5f459d8e6ca23ec0a44e9 2771 electronics optional geda-gaf_1.6.2-4.3.dsc
 41bd1126de465a37e51e7602a9a63e91 12733 electronics optional geda-gaf_1.6.2-4.3.debian.tar.gz
 df79768707281caf38e9d6b13d81a3af 1300 electronics optional geda_1.6.2-4.3_all.deb
 7bba828040eaa4ea9319b7330ee12812 170836 electronics optional libgeda38_1.6.2-4.3_amd64.deb
 96a0096529e99dafedd89f45d29a6720 16342 libdevel optional libgeda-dev_1.6.2-4.3_amd64.deb
 a57b95c55be3a898b4969aa1ccc7c2f7 157806 electronics optional libgeda-common_1.6.2-4.3_all.deb
 d87e10a29e9a2b56c8a6a21633e93c1f 512264 electronics optional geda-symbols_1.6.2-4.3_all.deb
 851d415bfef82a9f8be2603c663533aa 566600 electronics optional geda-gschem_1.6.2-4.3_amd64.deb
 74c49cdfea545ae29d9a9a038b017d1a 131748 electronics optional geda-gattrib_1.6.2-4.3_amd64.deb
 34844c389de698fa9dc408a64939f93d 200848 electronics optional geda-gnetlist_1.6.2-4.3_amd64.deb
 4ea57aeb4a9d066107a54bec8fdcf2a7 38010 electronics optional geda-gsymcheck_1.6.2-4.3_amd64.deb
 a0f25bdfb12b96262e134f6ada667460 174136 electronics optional geda-utils_1.6.2-4.3_amd64.deb
 2d0b2af786d2942ce8dfd558caca45c2 191404 electronics optional geda-examples_1.6.2-4.3_all.deb
 277726f4eff3174abe7f65a7b4a63ba2 2669002 doc optional geda-doc_1.6.2-4.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRBVNHAAoJEF+zP5NZ6e0IA3wQAJJhk2DWlFkfcCsepzbshZeW
Nq8yDiXIZqpyIcnVgg4BL7IrLhgDMuQ1RazvEb4oS6wo4W1YsgEUSyTvwow0Hs6V
hieE1wTPa7gDug9AM/N04jTIL9dF8LqEjXFi+9dX8jWF418E4qrxxLi4aYXjTHg3
3hlq0oXt4ebQdOrWBKdcJA+3POgyEHYpRt2AEWmtXyrBc3jzoIKMVR+x6hUO7SnP
U+NuHzdDvouXXcv1nfSgw3/l8lUo/zM2cB7IKDaqilcfFpoL7bCDt1uKTfTybHxi
uLq60XjF5/YelZtK48VQm4SImGOeJQFny6SdA6uNo/DUGc5P9my67e2j6awIB8Yh
eant5NJWyIzUD7vefNKqvt1UPtEm0ARQ5jJhN40vos8NWxyyOs8GOfkb31VsreBP
tua7gaaThWK8hDzoiZaa87UZ9gccUJgHvXT+fPaGtq6elky6F2dev72ewI4nsYpR
bQinZ1fDtZTwpBCpapGloMdDhMkoSiwCvhfzaP8Uay5evbefW4eCEhtq7JHbUiug
lKEStYw7Ar4+kmzppeXx3jZiNnyCevR+51xyf4cEx5fHxF7lznFM+sPKkX+2WQgj
Px3K+iLdu55hCu/yOBgXwG3k7ceqmMOsi/EP/IV5SA2/p4RqXQkgpfZvuYTWHTwt
O81DXz/slwC0WdyXnjgL
=pgoQ
-----END PGP SIGNATURE-----




Reply sent to أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>:
You have taken responsibility. (Sun, 05 May 2013 23:03:12 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Sun, 05 May 2013 23:03:12 GMT) Full text and rfc822 format available.

Message #155 received at 694015-close@bugs.debian.org (full text, mbox):

From: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
To: 694015-close@bugs.debian.org
Subject: Bug#694015: fixed in geda-gaf 1:1.8.1-2
Date: Sun, 05 May 2013 23:00:06 +0000
Source: geda-gaf
Source-Version: 1:1.8.1-2

We believe that the bug you reported is fixed in the latest version of
geda-gaf, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694015@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org> (supplier of updated geda-gaf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 20 Jan 2013 22:49:12 +0200
Source: geda-gaf
Binary: geda libgeda42 libgeda-dev libgeda-common geda-symbols geda-gschem geda-gattrib geda-gnetlist geda-gsymcheck geda-utils geda-examples geda-doc
Architecture: source all i386
Version: 1:1.8.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Changed-By: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Description: 
 geda       - GPL EDA -- Electronics design software (metapackage)
 geda-doc   - GPL EDA -- Electronics design software (documentation)
 geda-examples - GPL EDA -- Electronics design software (example designs)
 geda-gattrib - GPL EDA -- Electronics design software (attribute editor)
 geda-gnetlist - GPL EDA -- Electronics design software (netlister)
 geda-gschem - GPL EDA -- Electronics design software (schematic editor)
 geda-gsymcheck - GPL EDA -- Electronics design software (symbol checker)
 geda-symbols - GPL EDA -- Electronics design software (symbols library)
 geda-utils - GPL EDA -- Electronics design software (utilities)
 libgeda-common - GPL EDA -- Electronics design software (data files)
 libgeda-dev - GPL EDA -- Electronics design software (development files)
 libgeda42  - GPL EDA -- Electronics design software (library files)
Closes: 694015
Changes: 
 geda-gaf (1:1.8.1-2) unstable; urgency=low
 .
   * Manually replace directory with symlink in geda.postinst (Closes: #694015)
     Thanks: gregor herrmann <gregoa@debian.org>
Checksums-Sha1: 
 e1ff367fb963fe863d5bc03f6bf28601537011d0 2803 geda-gaf_1.8.1-2.dsc
 d50456ddbdafa831016605694a423f9fa96ce36a 12316 geda-gaf_1.8.1-2.debian.tar.gz
 96e14aa44504ec5288816529f9d8b2eae6e293bf 1296 geda_1.8.1-2_all.deb
 b56887bdc01d6ee975bfc60af2df05fb52838591 177440 libgeda42_1.8.1-2_i386.deb
 8389126e7c27d8d47c0468f7bd8309a257f84c9d 17546 libgeda-dev_1.8.1-2_i386.deb
 761ac6e4b9dde5af35f26e1a95a5d1df1fa7227c 228876 libgeda-common_1.8.1-2_all.deb
 0a22db06f3e4a991447b061780b858b8803fe471 593206 geda-symbols_1.8.1-2_all.deb
 9aa99dcf6aa03a05f7ea9f2f38a5e4f2f5e54325 663374 geda-gschem_1.8.1-2_i386.deb
 401ccc1dcd8bdf127eba481faa8a891917b334c1 138628 geda-gattrib_1.8.1-2_i386.deb
 094bd2db0add63c6b1f40743721067062d37ffef 217282 geda-gnetlist_1.8.1-2_i386.deb
 f8548111ec6ccfeb17b45ebc867313ac39005467 40154 geda-gsymcheck_1.8.1-2_i386.deb
 bfaad3e81460a8432d26fb1785c9fdebe54dfab5 204690 geda-utils_1.8.1-2_i386.deb
 b64561d67d5155cde784458ef0cf27de838d8eb4 191274 geda-examples_1.8.1-2_all.deb
 e3eecdc85edc06d3b1a71d0ed541d36eed79028f 6115898 geda-doc_1.8.1-2_all.deb
Checksums-Sha256: 
 be010fcf3d820381c11fa8654e9c212f2185af7a867b3dcc3cd4121713010165 2803 geda-gaf_1.8.1-2.dsc
 cdf23b88e9a25d2ec09acf563a1fbd043b85ccdb4762da08c22c0ebf63ec187b 12316 geda-gaf_1.8.1-2.debian.tar.gz
 9b28db659649a197f34cb6f43b5e568b03af205d9b11a062fba544305263d7f4 1296 geda_1.8.1-2_all.deb
 0b9437c56a308afe8b62978bfd388bba5c543041373bd5f1e6011808afa17485 177440 libgeda42_1.8.1-2_i386.deb
 31b3554d0c245e0efcf8f1f9a16713d85b25513d185daa11c1ccccfeb5830380 17546 libgeda-dev_1.8.1-2_i386.deb
 49c475a81033bf22d3f0fcfb538546175a4c3d88a2bbbbdb818acf4049a861fa 228876 libgeda-common_1.8.1-2_all.deb
 5cb25c3f9194cd476c89549e01e56ce2422d7d7e3ca21c2ea14c1d4cfdbc67ce 593206 geda-symbols_1.8.1-2_all.deb
 9410863349399c6dae4a04d0165ba0f862128eacafc00f9051b6754c6e16296f 663374 geda-gschem_1.8.1-2_i386.deb
 a0d00a550a586635b7cb5d326d32b461bb6dfd4e34d94bf2fcf452e36883b677 138628 geda-gattrib_1.8.1-2_i386.deb
 9d8bd43e873c8101985985d20f8091ae7ce1249e6126b7cc3f517be75f1511dd 217282 geda-gnetlist_1.8.1-2_i386.deb
 721944345327c787088af6a8615c404bccdc9a3bd15172588bcf3dcb4d4ba281 40154 geda-gsymcheck_1.8.1-2_i386.deb
 119f49ce58c1b0e030ddd9a8361d48e7a27f9236b409628e2f49680ec01e471d 204690 geda-utils_1.8.1-2_i386.deb
 000ecc954cefa323762872da273622f608f19a3c7bb7eebed0f0255d14ad939f 191274 geda-examples_1.8.1-2_all.deb
 f8c37ef40a2cdef49c1db3ea44dc37c61c20a9513d10cdb1b5e26d10d475d5ae 6115898 geda-doc_1.8.1-2_all.deb
Files: 
 03809a2153c0f2031f6a01ae187308cb 2803 electronics optional geda-gaf_1.8.1-2.dsc
 0f0c68f3c925cd329236cb027f98380a 12316 electronics optional geda-gaf_1.8.1-2.debian.tar.gz
 ba23c377e0fab88d36d3d83f60a20e38 1296 electronics optional geda_1.8.1-2_all.deb
 a6e091ac9e1c2df25737fc5b5d6d1e40 177440 electronics optional libgeda42_1.8.1-2_i386.deb
 bacb8521f03b68bfd078145711ab313c 17546 libdevel optional libgeda-dev_1.8.1-2_i386.deb
 77a53383ea05ba4ea1e195b4fe544313 228876 electronics optional libgeda-common_1.8.1-2_all.deb
 e69264a9d6d8b1e03db134e0ad70522f 593206 electronics optional geda-symbols_1.8.1-2_all.deb
 4b39783f8c29708b66d2dc1354a2853e 663374 electronics optional geda-gschem_1.8.1-2_i386.deb
 7dc11ae01e628f98af3273726187abef 138628 electronics optional geda-gattrib_1.8.1-2_i386.deb
 bcc8a433cc000483ee679d58af45c84b 217282 electronics optional geda-gnetlist_1.8.1-2_i386.deb
 e1ca024a1eab5937e2a32dcb4744c8b2 40154 electronics optional geda-gsymcheck_1.8.1-2_i386.deb
 31eaa29d2e01e5e65c43d256af1c1df2 204690 electronics optional geda-utils_1.8.1-2_i386.deb
 c1e62fa9f3ab91eb8e453f20db46cac9 191274 electronics optional geda-examples_1.8.1-2_all.deb
 6c153f08641b57f45826938e3edfafd8 6115898 doc optional geda-doc_1.8.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUP0WnTqTYZbAldlBAQq2Qw/9Fzv6R3vQzyj0voB3CUlj24lC94HdnhG5
+B+3qvPNzcApt4ypOywKmlRH4umr0D+Diy6akLqGLBa2x1amZ/gl0n8bs/zluj7Z
AqhbgKZIb78BlZvJbh2mCy4gIgg7WC7uMDbqZApl3ndihLqKpZX9/z4BBX/A6wUU
ixqZhY56IkHXiaX5orAnf51xIKX36CtrGEB30WeDGrV/lMB0qQhpsDWuQRIaDC8i
Nl0fO3XHmt15PmwduQrIC7MbqCqGjCPfFarGW08v3Vsu2wd5khf1vn/Iwitx9iTf
gQGCCx8v0ASQk9+F3bjHXIBv9cbafuWWrm5ByAvY+m9lKCGvUSiyH2ty52ojnuyw
z5DuDDlgvJAT43X8FgWyfHWVTgc2LQ9IY+g07jl8GGxxBcxR6eLkIiDJRWgtMzz9
EkwP0GjJelvADObqKohIqSCq3SV3OugcwsXMyjoDoCnjwU6pxmMWapDCx2Of+ZHp
+3UFy8VIqZLEebI/f2/da8j666bADy2W8zs9nFmQENmj3Y0eYGJ0wWceDO3uE2QL
9u8wTJc9EKOJi61N9/L7ZlFEeSiZt1imIv8cPTjnO+7kbT30vKwqE21Jd41hM5up
TIHqXrMLTe2HPmGjNuh+eF0aIjYKLhf6C1xOxQnTbvWhlT9hCQYfI5u8ElGEvqSm
s5qY71UP+eM=
=FXGI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:44:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:03:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.